Skip to navigation

Get user profile

View as Markdown

Retrieves the user profile information, the privacy settings and personal information (address, phone number, etc.) for the specified user.

The userId parameter specified in the endpoint must match the authenticated user’s user ID and the user must be a member of the specified account.

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

userIdstringRequired

The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. Note: For the GET /v2/accounts/{accountId}/envelopes method, the user_id query parameter is not implemented and should not be used.

Response

Successful response.
addressobjectOptional
authenticationMethodslist of objectsOptional

These properties cannot be modified in the PUT.

Indicates the authentication methods used by the user.

companyNamestringOptional
The name of the user's Company.
displayOrganizationInfostringOptional

When set to true, the user’s company and title information are shown on the ID card.

displayPersonalInfostringOptional

When set to true, the user’s Address and Phone number are shown on the ID card.

displayProfilestringOptional

When set to true, the user’s ID card can be viewed from signed documents and envelope history.

displayUsageHistorystringOptional

When set to true, the user’s usage information is shown on the ID card.

profileImageUristringOptional
titlestringOptional
The title of the user.
usageHistoryobjectOptional

A complex element consisting of:

  • lastSentDateTime - the date and time the user last sent an envelope.
  • lastSignedDateTime - the date and time the user last signed an envelope.
  • sentCount - the number of envelopes the user has sent.
  • signedCount - the number of envelopes the user has signed.
userDetailsobjectOptional
userProfileLastModifiedDatestringOptional

The date-time when the user’s profile was last modified.

Errors

400
Bad Request Error